Updates an instance of an issue.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Issues under the Forms category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"dueDate": "2019-06-13T19:08:25Z",
"externalIds": {},
"status": "open"
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueSource": {
"type": "form",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"status": "open",
"submittedAtTime": "2019-06-13T19:08:25Z",
"submittedBy": {
"id": "938172",
"type": "driver"
},
"title": "Oil spill",
"updatedAtTime": "2019-06-13T19:08:25Z",
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
},
"assignedTo": {
"id": "938172",
"type": "driver"
},
"description": "Oil spill in left corner of SF1",
"dueDate": "2019-06-13T19:08:25Z",
"externalIds": {},
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"priority": "high"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Issue fields to update.
ID of the issue. Can be either a unique Samsara ID or an external ID for the issue.
"9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
Issue assignee update object
Show child attributes
Due date of the issue. UTC timestamp in RFC 3339 format.
"2019-06-13T19:08:25Z"
A map of external ids
Show child attributes
Status of the issue. Valid values: open, inProgress, resolved, dismissed
open, inProgress, resolved, dismissed "open"
OK response.
Issue response object.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"dueDate": "2019-06-13T19:08:25Z",
"externalIds": {},
"status": "open"
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueSource": {
"type": "form",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"status": "open",
"submittedAtTime": "2019-06-13T19:08:25Z",
"submittedBy": {
"id": "938172",
"type": "driver"
},
"title": "Oil spill",
"updatedAtTime": "2019-06-13T19:08:25Z",
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
},
"assignedTo": {
"id": "938172",
"type": "driver"
},
"description": "Oil spill in left corner of SF1",
"dueDate": "2019-06-13T19:08:25Z",
"externalIds": {},
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"priority": "high"
}
}